Subject: bug#7583: 23.2; ido loads tramp too eagerly

From: Dave Abrahams <[email-masked]>
Date: Wed, 26 Oct 2011 14:19:09 -0400

on Wed Oct 26 2011, Michael Albinus <michael.albinus-AT-gmx.de> wrote:

> Dave Abrahams <[email-masked]> writes:
>
> Hi Dave,
>
>>>> emacs -Q
>>>> `M-x ido-mode RET'
>>>> `C-x C-f'           <wait while tramp loads>
>>>
>>> Running this recipe with Emacs 24.0.90, I don't see a serious delay due
>>> to Tramp. Do you still believe we need to fix something?
>>
>> Yeah, I do (no pun intended).  See the other report I made today.
>> Again, I'm not sure it's *technically* Tramp's fault, but I think Tramp
>> should probably be more resilient to whatever ido is doing.
>
> I've just committed a patch for ido.el, which removes explicit loading
> of Tramp. Autoloads shall be sufficient.
>
> This is all what could be done inside ido, IMHO. I've seen your other
> report on the Tramp ML, and I'm working on this. Therefore, I believe we
> can close *this* bug report.
>
> Do you agree?

Sure; if there are problems I'll bring them up anew :-)

-- 
Dave Abrahams
BoostPro Computing
http://www.boostpro.com